Kwalitee Issues

has_license_in_source_file

Add =head1 LICENSE and the text of the license to the main module in your code.

manifest_matches_dist

Run a proper command ("make manifest" or "./Build manifest", maybe with a force option), or use a distribution builder to generate the MANIFEST. Or update MANIFEST manually.

Error:

  • MANIFEST (45) does not match dist (46):
  • Missing in MANIFEST: lib/XML/XSH.pm~

no_pax_headers

If you use Mac OS X >= 10.6, use gnu tar (/usr/bin/gnutar) to avoid PAX headers. It's also important to rename (shorten) long file names (>= 100 characters) in the distribution.

Error: ./PaxHeaders.27597/XML-XSH-1.8.4,./PaxHeaders.27597/XML-XSH-1.8.4,XML-XSH-1.8.4/PaxHeaders.27597/TODO,XML-XSH-1.8.4/PaxHeaders.27597/TODO,XML-XSH-1.8.4/PaxHeaders.27597/NOTES,XML-XSH-1.8.4/PaxHeaders.27597/NOTES,XML-XSH-1.8.4/PaxHeaders.27597/INSTALL,XML-XSH-1.8.4/PaxHeaders.27597/INSTALL,XML-XSH-1.8.4/PaxHeaders.27597/BUGS,XML-XSH-1.8.4/PaxHeaders.27597/BUGS,XML-XSH-1.8.4/PaxHeaders.27597/XSH.pod,XML-XSH-1.8.4/PaxHeaders.27597/XSH.pod,XML-XSH-1.8.4/PaxHeaders.27597/LICENSE,XML-XSH-1.8.4/PaxHeaders.27597/LICENSE,XML-XSH-1.8.4/PaxHeaders.27597/src,XML-XSH-1.8.4/PaxHeaders.27597/src,XML-XSH-1.8.4/src/PaxHeaders.27597/recdescent.dtd,XML-XSH-1.8.4/src/PaxHeaders.27597/recdescent.dtd,XML-XSH-1.8.4/src/PaxHeaders.27597/xsh_grammar.xml,XML-XSH-1.8.4/src/PaxHeaders.27597/xsh_grammar.xml,XML-XSH-1.8.4/PaxHeaders.27597/ChangeLog,XML-XSH-1.8.4/PaxHeaders.27597/ChangeLog,XML-XSH-1.8.4/PaxHeaders.27597/MANIFEST,XML-XSH-1.8.4/PaxHeaders.27597/MANIFEST,XML-XSH-1.8.4/PaxHeaders.27597/t,XML-XSH-1.8.4/PaxHeaders.27597/t,XML-XSH-1.8.4/t/PaxHeaders.27597/02gdome.t,XML-XSH-1.8.4/t/PaxHeaders.27597/02gdome.t,XML-XSH-1.8.4/t/PaxHeaders.27597/01basic.t,XML-XSH-1.8.4/t/PaxHeaders.27597/01basic.t,XML-XSH-1.8.4/t/PaxHeaders.27597/03copy.t,XML-XSH-1.8.4/t/PaxHeaders.27597/03copy.t,XML-XSH-1.8.4/t/PaxHeaders.27597/05misc.t,XML-XSH-1.8.4/t/PaxHeaders.27597/05misc.t,XML-XSH-1.8.4/t/PaxHeaders.27597/04flow.t,XML-XSH-1.8.4/t/PaxHeaders.27597/04flow.t,XML-XSH-1.8.4/PaxHeaders.27597/lib,XML-XSH-1.8.4/PaxHeaders.27597/lib,XML-XSH-1.8.4/lib/PaxHeaders.27597/XML,XML-XSH-1.8.4/lib/PaxHeaders.27597/XML,XML-XSH-1.8.4/lib/XML/PaxHeaders.27597/XSH,XML-XSH-1.8.4/lib/XML/PaxHeaders.27597/XSH,XML-XSH-1.8.4/lib/XML/XSH/PaxHeaders.27597/Iterators.pm,XML-XSH-1.8.4/lib/XML/XSH/PaxHeaders.27597/Iterators.pm,XML-XSH-1.8.4/lib/XML/XSH/PaxHeaders.27597/Functions.pm,XML-XSH-1.8.4/lib/XML/XSH/PaxHeaders.27597/Functions.pm,XML-XSH-1.8.4/lib/XML/XSH/PaxHeaders.27597/Grammar.pm,XML-XSH-1.8.4/lib/XML/XSH/PaxHeaders.27597/Grammar.pm,XML-XSH-1.8.4/lib/XML/XSH/PaxHeaders.27597/DummyXPathContext.pm,XML-XSH-1.8.4/lib/XML/XSH/PaxHeaders.27597/DummyXPathContext.pm,XML-XSH-1.8.4/lib/XML/XSH/PaxHeaders.27597/Parser.pm,XML-XSH-1.8.4/lib/XML/XSH/PaxHeaders.27597/Parser.pm,XML-XSH-1.8.4/lib/XML/XSH/PaxHeaders.27597/CompletionList.pm,XML-XSH-1.8.4/lib/XML/XSH/PaxHeaders.27597/CompletionList.pm,XML-XSH-1.8.4/lib/XML/XSH/PaxHeaders.27597/LibXMLCompat.pm,XML-XSH-1.8.4/lib/XML/XSH/PaxHeaders.27597/LibXMLCompat.pm,XML-XSH-1.8.4/lib/XML/XSH/PaxHeaders.27597/GDOMECompat.pm,XML-XSH-1.8.4/lib/XML/XSH/PaxHeaders.27597/GDOMECompat.pm,XML-XSH-1.8.4/lib/XML/XSH/PaxHeaders.27597/Completion.pm,XML-XSH-1.8.4/lib/XML/XSH/PaxHeaders.27597/Completion.pm,XML-XSH-1.8.4/lib/XML/XSH/PaxHeaders.27597/Help.pm,XML-XSH-1.8.4/lib/XML/XSH/PaxHeaders.27597/Help.pm,XML-XSH-1.8.4/lib/XML/PaxHeaders.27597/XSH.pm,XML-XSH-1.8.4/lib/XML/PaxHeaders.27597/XSH.pm,XML-XSH-1.8.4/lib/XML/PaxHeaders.27597/XSH.pm~,XML-XSH-1.8.4/lib/XML/PaxHeaders.27597/XSH.pm~,XML-XSH-1.8.4/lib/PaxHeaders.27597/Inline,XML-XSH-1.8.4/lib/PaxHeaders.27597/Inline,XML-XSH-1.8.4/lib/Inline/PaxHeaders.27597/XSH.pm,XML-XSH-1.8.4/lib/Inline/PaxHeaders.27597/XSH.pm,XML-XSH-1.8.4/PaxHeaders.27597/Artistic,XML-XSH-1.8.4/PaxHeaders.27597/Artistic,XML-XSH-1.8.4/PaxHeaders.27597/README,XML-XSH-1.8.4/PaxHeaders.27597/README,XML-XSH-1.8.4/PaxHeaders.27597/META.yml,XML-XSH-1.8.4/PaxHeaders.27597/META.yml,XML-XSH-1.8.4/PaxHeaders.27597/Makefile.PL,XML-XSH-1.8.4/PaxHeaders.27597/Makefile.PL,XML-XSH-1.8.4/PaxHeaders.27597/tools,XML-XSH-1.8.4/PaxHeaders.27597/tools,XML-XSH-1.8.4/tools/PaxHeaders.27597/gen_doc.xsh,XML-XSH-1.8.4/tools/PaxHeaders.27597/gen_doc.xsh,XML-XSH-1.8.4/tools/PaxHeaders.27597/gen_grammar.pl,XML-XSH-1.8.4/tools/PaxHeaders.27597/gen_grammar.pl,XML-XSH-1.8.4/tools/PaxHeaders.27597/fop.xsl,XML-XSH-1.8.4/tools/PaxHeaders.27597/fop.xsl,XML-XSH-1.8.4/tools/PaxHeaders.27597/xpcomp.pl,XML-XSH-1.8.4/tools/PaxHeaders.27597/xpcomp.pl,XML-XSH-1.8.4/tools/PaxHeaders.27597/chunk.xsl,XML-XSH-1.8.4/tools/PaxHeaders.27597/chunk.xsl,XML-XSH-1.8.4/tools/PaxHeaders.27597/html.xsl,XML-XSH-1.8.4/tools/PaxHeaders.27597/html.xsl,XML-XSH-1.8.4/tools/PaxHeaders.27597/gen_quickref.pl,XML-XSH-1.8.4/tools/PaxHeaders.27597/gen_quickref.pl,XML-XSH-1.8.4/tools/PaxHeaders.27597/gen_completions.pl,XML-XSH-1.8.4/tools/PaxHeaders.27597/gen_completions.pl,XML-XSH-1.8.4/tools/PaxHeaders.27597/gen_pod.pl,XML-XSH-1.8.4/tools/PaxHeaders.27597/gen_pod.pl,XML-XSH-1.8.4/tools/PaxHeaders.27597/gen_help.pl,XML-XSH-1.8.4/tools/PaxHeaders.27597/gen_help.pl,XML-XSH-1.8.4/tools/PaxHeaders.27597/fo.xsl,XML-XSH-1.8.4/tools/PaxHeaders.27597/fo.xsl,XML-XSH-1.8.4/tools/PaxHeaders.27597/gen_reference.xsh,XML-XSH-1.8.4/tools/PaxHeaders.27597/gen_reference.xsh,XML-XSH-1.8.4/PaxHeaders.27597/xsh,XML-XSH-1.8.4/PaxHeaders.27597/xsh,XML-XSH-1.8.4/PaxHeaders.27597/Changes,XML-XSH-1.8.4/PaxHeaders.27597/Changes

no_pod_errors

Remove the POD errors. You can check for POD errors automatically by including Test::Pod to your test suite.

Error: XML-XSH-1.8.4/tools/gen_pod.pl -- Around line 167: Unknown E content in E<$enc{$1}>

prereq_matches_use

List all used modules in META.yml requires

Error:

  • XML::GDOME

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: XML::XSH::DummyXPathContext

consistent_version

Split the distribution, or fix the version numbers to make them consistent (use the highest version number to avoid version downgrade).

Error: 0.1,1.008004

has_known_license_in_source_file

Add =head1 LICENSE and/or the proper text of the well-known license to the main module in your code.

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

no_unauthorized_packages

Ask the owner of the distribution (the one who released it first, or the one who is designated in x_authority) to give you a (co-)maintainer's permission.

Error:

  • IO::MyString
  • XML::GDOME::Document
  • XML::LibXML::Namespace
  • XML::LibXML::NodeList
  • XML::LibXML::SubTreeIterator
  • XML::SAX::Writer::XMLEnc

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: Inline::XSH, XML::XSH, XML::XSH::Completion, XML::XSH::CompletionList, XML::XSH::DummyXPathContext, XML::XSH::Functions, XML::XSH::GDOMECompat, XML::XSH::Grammar, XML::XSH::Help, XML::XSH::Iterators, XML::XSH::LibXMLCompat, XML::XSH::Parser

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • IO::File
  • Test

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
Inline::XSH Insert XSH commands directly into your Perl scripts 0.1 metacpan
XML::XSH 1.008004 metacpan
XML::XSH::Completion metacpan
XML::XSH::CompletionList metacpan
XML::XSH::DummyXPathContext metacpan
XML::XSH::Functions 1.008004 metacpan
XML::XSH::GDOMECompat metacpan
XML::XSH::Grammar metacpan
XML::XSH::Help metacpan
XML::XSH::Iterators metacpan
XML::XSH::LibXMLCompat metacpan
XML::XSH::Parser metacpan

Provides

Name File View
IO::MyString lib/XML/XSH/Functions.pm metacpan
Parse::RecDescent::XML::XSH::Parser lib/XML/XSH/Parser.pm metacpan
XML::GDOME::Document lib/XML/XSH/GDOMECompat.pm metacpan
XML::LibXML::Namespace lib/XML/XSH/LibXMLCompat.pm metacpan
XML::LibXML::NodeList lib/XML/XSH/LibXMLCompat.pm metacpan
XML::LibXML::SubTreeIterator lib/XML/XSH/LibXMLCompat.pm metacpan
XML::SAX::Writer::XMLEnc lib/XML/XSH/Functions.pm metacpan
XML::XSH::FilteredIterator lib/XML/XSH/Iterators.pm metacpan
XML::XSH::Internal::Exception lib/XML/XSH/Functions.pm metacpan
XML::XSH::Internal::LoopTerminatingException lib/XML/XSH/Functions.pm metacpan
XML::XSH::Internal::SubTerminatingException lib/XML/XSH/Functions.pm metacpan
XML::XSH::Internal::UncatchableException lib/XML/XSH/Functions.pm metacpan
XML::XSH::Map lib/XML/XSH/Functions.pm metacpan

Other Files

ChangeLog metacpan
Changes metacpan
MANIFEST metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan